Bug 191273 - Failure to mount samba shares under certain conditions
Summary: Failure to mount samba shares under certain conditions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2006-05-10 12:59 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:14:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
samba-3.0.21b-dont-steal-cache-fd.patch (522 bytes, patch)
2006-05-10 12:59 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0698 normal SHIPPED_LIVE samba bug fix and enhancement update 2007-11-14 22:27:45 UTC
Samba Project 3327 None None None Never

Description Bastien Nocera 2006-05-10 12:59:11 UTC
+++ This bug was initially created as a clone of Bug #191271 +++

samba-3.0.10-1.4E.6

Sometimes clients wouldn't be able to mount shares exported from Samba. The
samba logs would show errors like:

[2005/12/14 17:52:53, 5] tdb/tdbutil.c:tdb_log(725)
  tdb(/var/cache/samba/gencache.tdb): tdb_brlock failed (fd=3) at offset 244
rw_type=0 lck_type=14
[2005/12/14 17:52:53, 5] tdb/tdbutil.c:tdb_log(725)
  tdb(/var/cache/samba/gencache.tdb): tdb_brlock failed (fd=3) at offset 244
rw_type=0 lck_type=14: Bad file descriptor

The upstream bug is:
https://bugzilla.samba.org/show_bug.cgi?id=3327

The attached patch is a backport from the upstream bug fix, tested successfully.

Comment 1 Bastien Nocera 2006-05-10 12:59:11 UTC
Created attachment 128847 [details]
samba-3.0.21b-dont-steal-cache-fd.patch

Comment 2 Bastien Nocera 2006-06-22 15:39:50 UTC
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191271#c4 contains an
updated patch.

Comment 3 RHEL Product and Program Management 2006-08-18 15:56:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 RHEL Product and Program Management 2007-04-17 21:15:56 UTC
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.

Comment 10 RHEL Product and Program Management 2007-05-09 10:24:38 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 15 Issue Tracker 2007-06-13 15:05:41 UTC
Closing per call 2007-06-13.  CIFS working well.

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Closed by Client'

This event sent from IssueTracker by kasmith 
 issue 122192

Comment 19 errata-xmlrpc 2007-11-15 16:14:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html



Note You need to log in before you can comment on or make changes to this bug.